Bug 430597 - crashes while creating X509Extension objects
crashes while creating X509Extension objects
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pyOpenSSL (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 17:48 EST by Nalin Dahyabhai
Modified: 2009-06-10 11:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 11:10:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch which seems to work (4.26 KB, patch)
2008-01-28 17:50 EST, Nalin Dahyabhai
no flags Details | Diff
additional patch to allow passing a cert or a req (4.79 KB, patch)
2008-01-28 19:17 EST, Nalin Dahyabhai
no flags Details | Diff
revision to add some minimum type checking (4.99 KB, patch)
2008-01-28 19:32 EST, Nalin Dahyabhai
no flags Details | Diff

  None (edit)
Description Nalin Dahyabhai 2008-01-28 17:48:11 EST
Description of problem:
When I try to create an X509Extension object with pyOpenSSL, python crashes.

Version-Release number of selected component (if applicable):
pyOpenSSL-0.6-2.p24.9

How reproducible:
Always

Steps to Reproduce:
python -c "import OpenSSL; ext =
OpenSSL.crypto.X509Extension('basicConstraints',1,'CA:false'); print ext"

Actual results:
The python interpreter crashes.

Expected results:
CA:FALSE
Comment 1 Nalin Dahyabhai 2008-01-28 17:50:07 EST
Created attachment 293219 [details]
patch which seems to work

This patch seems to work -- haven't verified if the resulting object is useful,
or if it leaks memory, though.
Comment 2 Nalin Dahyabhai 2008-01-28 19:17:14 EST
Created attachment 293225 [details]
additional patch to allow passing a cert or a req

Some extension types apparently require an existing certificate or signing
request to be provided in order to initialize correctly.  This patch adds
optional "req" and "cert" arguments to the X509Extension constructor.
Comment 3 Nalin Dahyabhai 2008-01-28 19:32:21 EST
Created attachment 293226 [details]
revision to add some minimum type checking
Comment 4 Bug Zapper 2008-05-14 00:54:55 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 19:26:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Nalin Dahyabhai 2009-06-10 11:10:36 EDT
Reproducer no longer crashes in Raw Hide, closing.

Note You need to log in before you can comment on or make changes to this bug.